%global tarball xf86-video-amdgpu
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers
#global gitdate 20160929
%global gitversion 97d7386c

%if 0%{?gitdate}
%global gver .%{gitdate}git%{gitversion}
%endif

Name: x11-driver-video-amdgpu
Version: 19.1.0
Release: %mkrel 7%{?gver}
Summary: X.org driver for AMD
Group: System/X11
URL: https://xorg.freedesktop.org
License: MIT
%if 0%{?gitdate}
Source0: %{tarball}-%{gitdate}.tar.xz
%else
Source0: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-amdgpu-%{version}.tar.bz2
%endif

# upstream fixes
Patch1:		0001-Fix-link-failure-with-gcc-10.patch
Patch2:		0002-Handle-NULL-fb_ptr-in-pixmap_get_fb.patch
Patch3:		0003-Fix-return-value-check-of-drmIoctl.patch

BuildRequires: pkgconfig(applewmproto) >= 1.0.0
BuildRequires: pkgconfig(dri)
BuildRequires: pkgconfig(gbm)
BuildRequires: pkgconfig(libdrm) >= 2.4.76
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: pkgconfig(libudev)
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Recommends: radeon-firmware

%description
x11-driver-video-amdgpu is the X.org driver for AMD Southern Islands
and later.

%prep
%setup -q -n %{tarball}-%{?gitdate:%{gitdate}}%{?!gitdate:%{version}}
%autopatch -p1

%build
#autoreconf -fiv
%configure --enable-glamor
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%{driverdir}/amdgpu_drv.so
%{_datadir}/X11/xorg.conf.d/10-amdgpu.conf
%{_mandir}/man4/amdgpu.4*


%changelog
* Sun Feb 07 2021 tmb <tmb> 19.1.0-7.mga8
+ Revision: 1675027
- update summary and description

* Tue Dec 15 2020 tmb <tmb> 19.1.0-6.mga8
+ Revision: 1657916
- Fix return value check of drmIoctl()

* Tue Dec 15 2020 tmb <tmb> 19.1.0-5.mga8
+ Revision: 1657912
- Handle NULL fb_ptr in pixmap_get_fb

* Wed May 13 2020 tv <tv> 19.1.0-4.mga8
+ Revision: 1583578
- Fix link error with gcc 10
+ danf <danf>
- Switch URLs from http: to https:
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 12 2019 tv <tv> 19.1.0-3.mga8
+ Revision: 1452377
- new release

* Sat May 18 2019 tmb <tmb> 19.0.1-3.mga7
+ Revision: 1398349
- dri3: Always flush glamor before sharing pixmap storage with clients

* Tue May 07 2019 tmb <tmb> 19.0.1-2.mga7
+ Revision: 1396638
- Retry get_fb_ptr in get_fb (fdo #110417)

* Wed Mar 20 2019 tv <tv> 19.0.1-1.mga7
+ Revision: 1379143
- new release

* Wed Mar 06 2019 tmb <tmb> 19.0.0-1.mga7
+ Revision: 1372058
- update to 19.0.0

* Sat Sep 15 2018 tv <tv> 18.1.0-1.mga7
+ Revision: 1259011
- new release

* Fri Mar 16 2018 tv <tv> 18.0.1-1.mga7
+ Revision: 1209908
- new release

* Sat Mar 10 2018 tv <tv> 18.0.0-2.mga7
+ Revision: 1207933
- rebuild for xserver 1.20 RC1

* Fri Mar 09 2018 tv <tv> 18.0.0-1.mga7
+ Revision: 1207527
- new release

* Fri Sep 08 2017 tv <tv> 1.4.0-1.mga7
+ Revision: 1151857
- new release

* Sat Sep 02 2017 tmb <tmb> 1.3.0-2.mga7
+ Revision: 1150686
- rebuild with new gcc/binutils

* Fri Mar 17 2017 tv <tv> 1.3.0-1.mga6
+ Revision: 1093270
- BR libudev-devel
- new release

* Fri Nov 18 2016 tv <tv> 1.2.0-1.mga6
+ Revision: 1068174
- new release

* Thu Nov 17 2016 tv <tv> 1.1.2-3.20160929git97d7386c.mga6
+ Revision: 1067684
- use a git snapshot (fixes for use with xserver-1.19)
- rebuild for xserver 1.19

* Wed Oct 05 2016 tv <tv> 1.1.2-1.mga6
+ Revision: 1058920
- remove useless sed
- use %%autosetup
- use %%global instead of %%define
- remove .la files
- new release

* Thu Sep 15 2016 tv <tv> 1.1.1-1.mga6
+ Revision: 1053119
- new version

* Fri Jul 22 2016 tmb <tmb> 1.1.0-4.mga6
+ Revision: 1043199
- DRI2: Add interpolated_vblanks in amdgpu_dri2_get_crtc_msc

* Thu Jul 21 2016 tmb <tmb> 1.1.0-3.mga6
+ Revision: 1043026
- sync in more upstream fixes

* Tue Jul 05 2016 tmb <tmb> 1.1.0-2.mga6
+ Revision: 1038936
- sync in fixes from upstream git

* Fri Apr 08 2016 tv <tv> 1.1.0-0.mga6
+ Revision: 999349
- new release

* Wed Feb 24 2016 tv <tv> 1.0.1-0.mga6
+ Revision: 978598
- new release

* Mon Nov 23 2015 tv <tv> 1.0.0-0.mga6
+ Revision: 905097
- new release

* Wed Nov 11 2015 tv <tv> 0.1-0.20151104git92e7c93.mga6
+ Revision: 902255
- BR pkgconfig(gbm)
- imported package x11-driver-video-amdgpu

